3. View/Print
3.1. GetPopUpURL - URL to view the e-Tax invoice
GET
https://popbill-test.linkhub.co.kr/Taxinvoice/{MgtKeyType}/{MgtKey}
GET
https://popbill.linkhub.co.kr/Taxinvoice/{MgtKeyType}/{MgtKey}
- This API returns the URL to view a single e-Tax invoice on POPBiLL service website.
- Returned URL is valid for 30 seconds and after that you cannot access to the page.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Path Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| MgtKeyType | string | - | Y |
Type of the e-Tax invoice
SELLSales
|
|
| MgtKey | string | 24 | Y | Document ID |
Query Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| TG | string | - | Y | Fixed value : POPUP |
Request Example
curl --request GET \
--url 'https://{domain}/Taxinvoice/{MgtKeyType}/{MgtKey}?TG=POPUP' \
--header 'Authorization: Bearer {token}'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| url | string | - | Response URL for a request |
Response Example
{
"url": "https://test.popbill.com/App/API?T=2ZU3PQGQII4UD3J7HW2EURIBS...AWPV2OWRUPGACA======"
}
3.2. GetViewURL - URL to view the e-Tax invoice [without menus/buttons]
GET
https://popbill-test.linkhub.co.kr/Taxinvoice/{MgtKeyType}/{MgtKey}
GET
https://popbill.linkhub.co.kr/Taxinvoice/{MgtKeyType}/{MgtKey}
- This API returns the URL to view a single e-Tax invoice on POPBiLL service website (showing a page without menus and buttons).
- Returned URL is valid for 30 seconds and after that you cannot access to the page.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Path Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| MgtKeyType | string | - | Y |
Type of the e-Tax invoice
SELLSales
|
|
| MgtKey | string | 24 | Y | Document ID |
Query Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| TG | string | - | Y | Fixed value : VIEW |
Request Example
curl --request GET \
--url 'https://{domain}/Taxinvoice/{MgtKeyType}/{MgtKey}?TG=VIEW' \
--header 'Authorization: Bearer {token}'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| url | string | - | Response URL for a request |
Response Example
{
"url": "https://test.popbill.com/App/API?T=IRXSGITDREOTPOIRLPUHCB4BSBC4...NX7BMAR3="
}
3.3. GetPrintURL - URL to print the e-Tax invoice [for seller/buyer]
GET
https://popbill-test.linkhub.co.kr/Taxinvoice/{MgtKeyType}/{MgtKey}
GET
https://popbill.linkhub.co.kr/Taxinvoice/{MgtKeyType}/{MgtKey}
- This API returns the URL to print a single e-Tax invoice. A user can select a print option – for seller/buyer/both.
- Returned URL is valid for 30 seconds and after that you cannot access to the page.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Path Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| MgtKeyType | string | - | Y |
Type of the e-Tax invoice
SELLSales
|
|
| MgtKey | string | 24 | Y | Document ID |
Query Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| TG | string | - | Y | Fixed value : PRINT |
Request Example
curl --request GET \
--url 'https://{domain}/Taxinvoice/{MgtKeyType}/{MgtKey}?TG=PRINT' \
--header 'Authorization: Bearer {token}'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| url | string | - | Response URL for a request |
Response Example
{
"url": "https://test.popbill.com/App/API?T=IRXSGITDREOTPOIRLPUHCB4BSBC4...NX7BMAR3="
}
3.4. GetEPrintURL - URL to print the e-Tax invoice [for buyer]
GET
https://popbill-test.linkhub.co.kr/Taxinvoice/{MgtKeyType}/{MgtKey}
GET
https://popbill.linkhub.co.kr/Taxinvoice/{MgtKeyType}/{MgtKey}
- This API returns the URL to print a single e-Tax invoice for buyer.
- Returned URL is valid for 30 seconds and after that you cannot access to the page.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Path Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| MgtKeyType | string | - | Y |
Type of the e-Tax invoice
SELLSales
|
|
| MgtKey | string | 24 | Y | Document ID |
Query Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| TG | string | - | Y | Fixed value : EPRINT |
Request Example
curl --request GET \
--url 'https://{domain}/Taxinvoice/{MgtKeyType}/{MgtKey}?TG=EPRINT' \
--header 'Authorization: Bearer {token}'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| url | string | - | Response URL for a request |
Response Example
{
"url": "https://test.popbill.com/App/API?T=IRXSGITDREOTPOIRLPUHCB4BSBC4...NX7BMAR3="
}
3.5. GetMassPrintURL - URL to print e-Tax invoices in bulk
POST
https://popbill-test.linkhub.co.kr/Taxinvoice/{MgtKeyType}
POST
https://popbill.linkhub.co.kr/Taxinvoice/{MgtKeyType}
- This API returns the URL to print multiple e-Tax invoices in bulk. (Maximum : 100 invoices)
- Returned URL is valid for 30 seconds and after that you cannot access to the page.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Content-Type | Y | Request body format application/json |
|
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Path Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| MgtKeyType | string | - | Y |
Type of the e-Tax invoice
SELLSales
|
Query Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| - | - | Y | Input as an empty value |
Request Body
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| - | array | - | Y |
List of Document ID of e-Tax invoices to print
maximum 100 invoices
|
Request Example
curl --request POST \
--url 'https://{domain}/Taxinvoice/{MgtKeyType}?Print' \
--header 'Authorization: Bearer {token}' \
--header 'Content-Type: application/json' \
--data '["TEST0001"]'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| url | string | - | Response URL for a request |
Response Example
{
"url": "https://test.popbill.com/App/API?T=2ZU3PQGQII4UD3J7HW2EURIBS...AWPV2OWRUPGACA======"
}
3.6. GetMailURL - URL for the e-Tax invoice notification mail button
GET
https://popbill-test.linkhub.co.kr/Taxinvoice/{MgtKeyType}/{MgtKey}
GET
https://popbill.linkhub.co.kr/Taxinvoice/{MgtKeyType}/{MgtKey}
- This API returns the URL to view a single e-Tax invoice via confirmation button located on the bottom of a notification mail.
- Returned URL has no limit on valid time.
- A buyer can click the confirmation button to notify the seller for checking the invoice.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Path Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| MgtKeyType | string | - | Y |
Type of the e-Tax invoice
SELLSales
|
|
| MgtKey | string | 24 | Y | Document ID |
Query Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| TG | string | - | Y | Fixed value : MAIL |
Request Example
curl --request GET \
--url 'https://{domain}/Taxinvoice/{MgtKeyType}/{MgtKey}?TG=MAIL' \
--header 'Authorization: Bearer {token}'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| url | string | - | Response URL for a request |
Response Example
{
"url": "https://test.popbill.com/App/Taxinvoice/025102114360700001.E?T=Q5LM53CQT...FQH0QUG"
}
3.7. GetPDFURL - URL to download the e-Tax invoice in PDF format
GET
https://popbill-test.linkhub.co.kr/Taxinvoice/{MgtKeyType}/{MgtKey}
GET
https://popbill.linkhub.co.kr/Taxinvoice/{MgtKeyType}/{MgtKey}
- This API returns the URL to download an e-Tax invoice in PDF format.
- Returned URL is valid for 30 seconds and after that you cannot access to the page.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Path Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| MgtKeyType | string | - | Y |
Type of the e-Tax invoice
SELLSales
|
|
| MgtKey | string | 24 | Y | Document ID |
Query Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| TG | string | - | Y | Fixed value : PDF |
Request Example
curl --request GET \
--url 'https://{domain}/Taxinvoice/{MgtKeyType}/{MgtKey}?TG=PDF' \
--header 'Authorization: Bearer {token}'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| url | string | - | Response URL for a request |
Response Example
{
"url": "https://test.popbill.com/App/API?T=SRLKRJXIVD3BCHUOT57UJWIDWDEJYTKJNRF...P756YYKGQ===="
}
